--- testing/eig/serrgg.f	Thu Dec  5 19:45:14 2002
+++ debian/updates/testing/eig/serrgg.f	Wed Dec  4 15:23:42 2002
@@ -3,7 +3,7 @@
 *  -- LAPACK test routine (version 3.0) --
 *     Univ. of Tennessee, Univ. of California Berkeley, NAG Ltd.,
 *     Courant Institute, Argonne National Lab, and Rice University
-*     June 30, 1999
+*     October 9, 2000 
 *
 *     .. Scalar Arguments ..
       CHARACTER*3        PATH
@@ -244,24 +244,24 @@
      $                1, R1, R2, U, 1, V, 1, Q, 1, W, IW, INFO )
          CALL CHKXER( 'SGGSVD', INFOT, NOUT, LERR, OK )
          INFOT = 10
-         CALL SGGSVD( 'N', 'N', 'N', 0, 0, 0, DUMMYK, DUMMYL, A, 0, B,
+         CALL SGGSVD( 'N', 'N', 'N', 2, 1, 1, DUMMYK, DUMMYL, A, 1, B,
      $                1, R1, R2, U, 1, V, 1, Q, 1, W, IW, INFO )
          CALL CHKXER( 'SGGSVD', INFOT, NOUT, LERR, OK )
          INFOT = 12
-         CALL SGGSVD( 'N', 'N', 'N', 0, 0, 0, DUMMYK, DUMMYL, A, 1, B,
-     $                0, R1, R2, U, 1, V, 1, Q, 1, W, IW, INFO )
+         CALL SGGSVD( 'N', 'N', 'N', 1, 1, 2, DUMMYK, DUMMYL, A, 1, B,
+     $                1, R1, R2, U, 1, V, 1, Q, 1, W, IW, INFO )
          CALL CHKXER( 'SGGSVD', INFOT, NOUT, LERR, OK )
          INFOT = 16
-         CALL SGGSVD( 'U', 'N', 'N', 0, 0, 0, DUMMYK, DUMMYL, A, 1, B,
-     $                1, R1, R2, U, 0, V, 1, Q, 1, W, IW, INFO )
+         CALL SGGSVD( 'U', 'N', 'N', 2, 2, 2, DUMMYK, DUMMYL, A, 2, B,
+     $                2, R1, R2, U, 1, V, 1, Q, 1, W, IW, INFO )
          CALL CHKXER( 'SGGSVD', INFOT, NOUT, LERR, OK )
          INFOT = 18
-         CALL SGGSVD( 'N', 'V', 'N', 0, 0, 0, DUMMYK, DUMMYL, A, 1, B,
-     $                1, R1, R2, U, 1, V, 0, Q, 1, W, IW, INFO )
+         CALL SGGSVD( 'N', 'V', 'N', 1, 1, 2, DUMMYK, DUMMYL, A, 1, B,
+     $                2, R1, R2, U, 1, V, 1, Q, 1, W, IW, INFO )
          CALL CHKXER( 'SGGSVD', INFOT, NOUT, LERR, OK )
          INFOT = 20
-         CALL SGGSVD( 'N', 'N', 'Q', 0, 0, 0, DUMMYK, DUMMYL, A, 1, B,
-     $                1, R1, R2, U, 1, V, 1, Q, 0, W, IW, INFO )
+         CALL SGGSVD( 'N', 'N', 'Q', 1, 2, 1, DUMMYK, DUMMYL, A, 1, B,
+     $                1, R1, R2, U, 1, V, 1, Q, 1, W, IW, INFO )
          CALL CHKXER( 'SGGSVD', INFOT, NOUT, LERR, OK )
          NT = NT + 11
 *
@@ -299,28 +299,28 @@
      $                INFO )
          CALL CHKXER( 'SGGSVP', INFOT, NOUT, LERR, OK )
          INFOT = 8
-         CALL SGGSVP( 'N', 'N', 'N', 0, 0, 0, A, 0, B, 1, TOLA, TOLB,
+         CALL SGGSVP( 'N', 'N', 'N', 2, 1, 1, A, 1, B, 1, TOLA, TOLB,
      $                DUMMYK, DUMMYL, U, 1, V, 1, Q, 1, IW, TAU, W,
      $                INFO )
          CALL CHKXER( 'SGGSVP', INFOT, NOUT, LERR, OK )
          INFOT = 10
-         CALL SGGSVP( 'N', 'N', 'N', 0, 0, 0, A, 1, B, 0, TOLA, TOLB,
+         CALL SGGSVP( 'N', 'N', 'N', 1, 2, 1, A, 1, B, 1, TOLA, TOLB,
      $                DUMMYK, DUMMYL, U, 1, V, 1, Q, 1, IW, TAU, W,
      $                INFO )
          CALL CHKXER( 'SGGSVP', INFOT, NOUT, LERR, OK )
          INFOT = 16
-         CALL SGGSVP( 'U', 'N', 'N', 0, 0, 0, A, 1, B, 1, TOLA, TOLB,
-     $                DUMMYK, DUMMYL, U, 0, V, 1, Q, 1, IW, TAU, W,
+         CALL SGGSVP( 'U', 'N', 'N', 2, 2, 2, A, 2, B, 2, TOLA, TOLB,
+     $                DUMMYK, DUMMYL, U, 1, V, 1, Q, 1, IW, TAU, W,
      $                INFO )
          CALL CHKXER( 'SGGSVP', INFOT, NOUT, LERR, OK )
          INFOT = 18
-         CALL SGGSVP( 'N', 'V', 'N', 0, 0, 0, A, 1, B, 1, TOLA, TOLB,
-     $                DUMMYK, DUMMYL, U, 1, V, 0, Q, 1, IW, TAU, W,
+         CALL SGGSVP( 'N', 'V', 'N', 1, 2, 1, A, 1, B, 2, TOLA, TOLB,
+     $                DUMMYK, DUMMYL, U, 1, V, 1, Q, 1, IW, TAU, W,
      $                INFO )
          CALL CHKXER( 'SGGSVP', INFOT, NOUT, LERR, OK )
          INFOT = 20
-         CALL SGGSVP( 'N', 'N', 'Q', 0, 0, 0, A, 1, B, 1, TOLA, TOLB,
-     $                DUMMYK, DUMMYL, U, 1, V, 1, Q, 0, IW, TAU, W,
+         CALL SGGSVP( 'N', 'N', 'Q', 1, 1, 2, A, 1, B, 1, TOLA, TOLB,
+     $                DUMMYK, DUMMYL, U, 1, V, 1, Q, 1, IW, TAU, W,
      $                INFO )
          CALL CHKXER( 'SGGSVP', INFOT, NOUT, LERR, OK )
          NT = NT + 11
